qnx.system.TLSVersion

TLSVersion

Constants


Packageqnx.system
Classpublic final class TLSVersion
InheritanceTLSVersion Inheritance Object

The TLSVersion class defines the constants for the maxTLSVersion property of the QNXSystem class.

Class information:
BlackBerry 10 Version:   10.0.0

See also

qnx.system.QNXSystem



Public Constants

 ConstantDefined By
  TLS_1_0 : int = 1000
[static] Use TLS version 1.0
TLSVersion
  TLS_1_1 : int = 1100
[static] Use TLS version 1.1 or lower
TLSVersion
  TLS_1_2 : int = 1200
[static] Use TLS version 1.1 or lower
TLSVersion
  TLS_ANY : int = 0
[static] Use highest TLS version platform supports
TLSVersion

Constant Detail

TLS_1_0


public static const TLS_1_0:int = 1000

Use TLS version 1.0

TLS_1_1


public static const TLS_1_1:int = 1100

Use TLS version 1.1 or lower

TLS_1_2


public static const TLS_1_2:int = 1200

Use TLS version 1.1 or lower

TLS_ANY


public static const TLS_ANY:int = 0

Use highest TLS version platform supports





comments powered by Disqus